﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="BindScript._Default" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
<script type="text/javascript" src="/Scripts/Globals.js?v1"></script>
<script type="text/javascript" src="/Scripts/Default.aspx.js?v1"></script> 
</asp:Content>


<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
                ConnectionString='<%$ ConnectionStrings:NorthwindConnectionString %>'
                SelectCommand="SELECT * FROM products" />

        <asp:GridView ID="GridView1" runat="server" 
            DataSourceID="SqlDataSource1"   
            DataKeyNames="productid,productname,unitprice"
            AutoGenerateColumns="false" 
            AllowPaging="true"
            ClientIDMode="Predictable" 
            ClientIDRowSuffix="productid">
            <Columns>
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:Label runat="server" ID="ProductId" Text='<%# Eval("productname") %>' 
                                   Tag='<%# Eval("productid") %>' CssClass="clickable" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:boundfield datafield="quantityperunit" headertext="Packaging" /> 
                <asp:boundfield datafield="unitprice" headertext="Price" HtmlEncode="false" DataFormatString="{0:c}">
						<itemstyle width="80px" horizontalalign="right" /> 
                </asp:boundfield>
            </Columns>
        </asp:GridView>
</asp:Content>
