﻿using System;
using System.Web.UI;


namespace ControlFun
{
    public partial class ClientId : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            // Data source
            var customerIds = new Object[] { new { CustomerID = "ALFKI" }, new { CustomerID = "ANATR" }, new { CustomerID = "BOTTM" } };

            Repeater2.ClientIDMode = ClientIDMode.Inherit;
            Repeater3.ClientIDMode = ClientIDMode.AutoID;
            Repeater4.ClientIDMode = ClientIDMode.Predictable;
            Repeater5.ClientIDMode = ClientIDMode.Static;


            // Load some data into the data-bound controls
            Repeater1.DataSource = customerIds;
            Repeater1.DataBind();

            Repeater2.DataSource = customerIds;
            Repeater2.DataBind();

            Repeater3.DataSource = customerIds;
            Repeater3.DataBind();

            Repeater4.DataSource = customerIds;
            Repeater4.DataBind();

            Repeater5.DataSource = customerIds;
            Repeater5.DataBind();
        }
    }
}