using System;
using System.Collections.Generic;
using System.Linq;
using Entities;
using ServiceLayer;

namespace TddFun.TestDoubles
{
    public class FakeQuoteService : IQuoteServices
    {
        public IList<StockInfo> GetQuotes(String symbols)
        {
            var stocks = symbols.Split(',');
            return stocks.Select(s => new StockInfo()
                                            {
                                                Change = "0%",
                                                Company = s,
                                                CurrentQuote = "1.1",
                                                Date = DateTime.Today.ToString(),
                                                Time = DateTime.Now.ToString()
                                            }).ToList();
        }
    }
}