﻿using System;
using System.Collections.Generic;
using System.Web.UI;
using System.Web.UI.WebControls;
using TooltipGrid.Helpers;

namespace TooltipGrid
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            var allPlayers = new List<Player>
                              {
                                  new Player {Name="Federer, Roger", Id=1, ProfileInfo="I am King Roger of Tennis Land"},
                                  new Player {Name="Nadal, Rafael", ProfileInfo="I am Rafa"},
                                  new Player {Name="Djokovic, Novak", Id=3, ProfileInfo="I am Djoker"},
                                  new Player {Name="Ferrer, David", Id=4, ProfileInfo="I am Ferrer, without the trailing o"},
                                  new Player {Name="Soderling, Robin", Id=5, ProfileInfo="I am Robin"},
                                  new Player {Name="Stakhovsky, Sergey", Id=6, ProfileInfo="I am Sergey"},
                                  new Player {Name="Dolgopolov, Yuri", Id=7, ProfileInfo="I am from Ukraine"},
                                  new Player {Name="Ferrero, Juan Carlos", Id=8, ProfileInfo="I am Ferrero"},
                                  new Player {Name="Murray, Andy", Id=9, ProfileInfo="I am Scot"},
                                  new Player {Name="Montanes, Albert", Id=10, ProfileInfo="I am Albert Montanes"}
                              };

            GridView1.DataSource = allPlayers;
            GridView1.DataBind();
        }

        protected void GridView1_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            var dataObject = e.Row.DataItem as Player;
            if (dataObject == null)
                return;
            e.Row.ToolTip = (string)DataBinder.Eval(dataObject, "ProfileInfo");
        }
    }
}
