﻿using System;
using System.Collections;
using AspNetGallery.Extensions.Modules.QueryString;

namespace RuntEffects
{
    public partial class QS_Test1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Context.Items.Contains(QueryStringHelper.QueryStringValidationStatus))
            {
                var result = (QueryStringErrorCodes)Context.Items[QueryStringHelper.QueryStringValidationStatus];
                Message.Text = "<h1>" + result + "</h1>";

                if (result == QueryStringErrorCodes.NoError)
                {
                    var typedQueryString = Context.Items[QueryStringHelper.QueryStringValues] as Hashtable;
                    if (typedQueryString == null)
                        return;
                    var value = ((int)typedQueryString["guid"]) + 1;
                    Message.Text = value.ToString();
                }
            }
        }
    }
}