﻿using System;
using System.Collections.Specialized;
using System.IO;
using System.Runtime.Serialization.Json;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.ServiceModel.Web;
using System.Text;
using System.Web;

namespace LoggingJs
{
    [ServiceContract]
    [AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
    public class Log
    {
        [OperationContract] 
        [WebInvoke(Method = "POST")]
        public void Store(Stream stream)
        {
            var reader = new StreamReader(stream);   
            var data = reader.ReadToEnd();

            var formData = HttpUtility.ParseQueryString(data);
            var dateTime = DateTimeUtility.FromJavaScript(formData["timestamp"]);

            //ParseJsonLayout(formData);

            return;
        }

        private void ParseJsonLayout(NameValueCollection formData)
        {
            var memoryStream = new MemoryStream(Encoding.UTF8.GetBytes(formData["data"]));
            var jsonSerializer = new DataContractJsonSerializer(typeof(Log4JavascriptPacket[]));
            var logMessages = jsonSerializer.ReadObject(memoryStream) as Log4JavascriptPacket[];
            if (logMessages == null)
                return;

            var message = logMessages[0];
            var dateTime = DateTimeUtility.FromJavaScript(message.timestamp);
        }
    }
}
